Subject: Re: [PATCH 0/4] ARM: dts: aspeed: add dtsi for Facebook AST2500 Network BMCs

From: Tao Ren <[email-masked]>
Date: Fri, 1 Nov 2019 10:40:45 -0700

On Fri, Nov 01, 2019 at 10:08:35AM +0000, Joel Stanley wrote:
> Hi Tao,
> 
> On Mon, 21 Oct 2019 at 19:49, Tao Ren <[email-masked]> wrote:
> >
> > The patch series adds "facebook-netbmc-ast2500-common.dtsi" which defines
> > devices that are common cross all Facebook AST2500 Network BMC platforms.
> > The major purpose is to minimize duplicated device entries among Facebook
> > Network BMC dts files.
> >
> > Patch #1 (of 4) adds "facebook-netbmc-ast2500-common.dtsi" file, and the
> > remaining 3 patches update CMM, Minipack and Yamp device tree to consume
> > the new dtsi file.
> 
> The patches look okay to me. I modified the file name to match the
> convention used by other device trees in the arm directory, where it
> includes the SOC name first.
> 
> I also reworded the commit messages a little.
> 
> They have been merged into the aspeed tree for submission to 5.5.
> 
> Thanks!
> 
> Joel

Got it. Thanks a lot for doing this, Joel.

Cheers,

Tao

> >
> > Tao Ren (4):
> >   ARM: dts: aspeed: add dtsi for Facebook AST2500 Network BMCs
> >   ARM: dts: aspeed: cmm: include dtsi for common network BMC devices
> >   ARM: dts: aspeed: minipack: include dtsi for common network BMC
> >     devices
> >   ARM: dts: aspeed: yamp: include dtsi for common network BMC devices
> >
> >  arch/arm/boot/dts/aspeed-bmc-facebook-cmm.dts | 66 ++++---------
> >  .../boot/dts/aspeed-bmc-facebook-minipack.dts | 59 ++++--------
> >  .../arm/boot/dts/aspeed-bmc-facebook-yamp.dts | 62 +-----------
> >  .../dts/facebook-netbmc-ast2500-common.dtsi   | 96 +++++++++++++++++++
> >  4 files changed, 136 insertions(+), 147 deletions(-)
> >  create mode 100644 arch/arm/boot/dts/facebook-netbmc-ast2500-common.dtsi
> >
> > --
> > 2.17.1
> >

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel